%define product   LDAPMultiPlugins
%define version   1.1
%define release   6

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope product that provide support of LDAP to PluggableAuthService
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   ZPL
Group:     System/Servers
Source0:   %{product}-%{version}.tar.bz2
URL:       http://www.dataflake.org/software/ldapmultiplugins/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope, %{rpm_prefix}-LDAPUserFolder < 2.7, %{rpm_prefix}-PluggableAuthService < 1.2

#----------------------------------------------------------------------
%description
The LDAPMultiPlugins provides PluggableAuthService plugins that
interoperate with LDAP.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf  %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/CHANGES.txt %{product}/COPYRIGHT.txt %{product}/INSTALL.txt %{product}/LICENSE.txt %{product}/README.txt %{product}/VERSION.txt
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.1-6mdv2007.1
- add *.pyc

* Mon Jan 29 2007 Kevin Deldycke <kevin@nexedi.com> 1.1-5mdv2007.0
- Use older (and tested) version of PAS
- Typo

* Mon Jan 29 2007 Kevin Deldycke <kevin@nexedi.com> 1.1-4mdv2007.0
- Add version constraint on zope-LDAPUserFolder dependency to not conflict with default Mandriva 2007 packages

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 1.1-3mdv2007.0
- Rebuild for Mandriva 2007.0

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 1.1-2mdk
- Give ownership to zope

* Tue Jan 31 2006 Kevin Deldycke <kevin@nexedi.com> 1.1-1mdk
- Initial release
